Bug 281027

Summary: Option to open link in browser when hilight link (text starting with "http://")
Product: okular Reporter: lexual <lex.lists>
Component: generalAssignee: Okular developers <okular-devel>
Status: RESOLVED FIXED    
Severity: wishlist CC: doktor5000
Priority: NOR    
Version: 0.12.5   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.11.0

Description lexual 2011-08-30 00:11:50 UTC
Version:           0.12.5 (using KDE 4.6.5) 
OS:                Linux

I'm currently looking through a pdf with various links embedded in the text.

Currently to open these urls in a browser I have to:
* highlight link, copy to clipboard, switch to browser, open new tab, paste url in location field, go to url.

It would be a great feature if okular recognised when I highlight text that is a url, and give the option to open url in web browser.
It could give this option whenever user highlights text that begins with "http://"

Reproducible: Always



Expected Results:  
see above.
Comment 1 Florian Hubold 2013-01-14 20:41:25 UTC
Still valid, and i second that wish.
Comment 2 bill p. (aka google01103) 2013-01-14 21:35:06 UTC
I think maybe as a right click option in the text selection tool
Comment 3 Albert Astals Cid 2013-03-26 21:49:28 UTC
Git commit 1121cff1b8600079909424a90923f75b5c3630ad by Albert Astals Cid, on behalf of Jaydeep Solanki.
Committed on 26/03/2013 at 22:43.
Pushed by aacid into branch 'master'.

Implement Open url in browser for plain text
REVIEW: 108614
FIXED-IN: 4.11.0

M  +3    -0    tests/CMakeLists.txt
A  +48   -0    tests/urldetecttest.cpp     [License: UNKNOWN]  *
M  +11   -0    ui/pageview.cpp
A  +22   -0    ui/url_utils.h     [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/okular/1121cff1b8600079909424a90923f75b5c3630ad